## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate kvm-bindings

Name:           rust-kvm-bindings
Version:        0.7.0
Release:        %autorelease
Summary:        Rust FFI bindings to KVM generated using bindgen

License:        Apache-2.0
URL:            https://crates.io/crates/kvm-bindings
Source:         %{crates_source}

# This crate doesn't support 32-bit targets
ExcludeArch:    %{ix86}
BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust FFI bindings to KVM generated using bindgen.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fam-wrappers-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fam-wrappers-devel %{_description}

This package contains library source intended for building other packages which
use the "fam-wrappers" feature of the "%{crate}" crate.

%files       -n %{name}+fam-wrappers-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vmm-sys-util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vmm-sys-util-devel %{_description}

This package contains library source intended for building other packages which
use the "vmm-sys-util" feature of the "%{crate}" crate.

%files       -n %{name}+vmm-sys-util-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Sergio Lopez <slp@redhat.com> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2256629

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-4
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 08 2023 Sergio Lopez <slp@redhat.com> - 0.6.0-1
- Update to version 0.6.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Sergio Lopez <slp@redhat.com> - 0.5.0-1
- Initial package

## END: Generated by rpmautospec
